<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" media-type="text/html"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>FusionCharts Example</title>
<script language="JavaScript" src="FusionCharts/JSClass/FusionCharts.js"></script>
</head>
<body>
  <div id="chartdiv" align="center">
    <p>
      FusionCharts Example
    </p>
    <script type="text/javascript">
	    var chart = new FusionCharts("FusionCharts/Charts/FCF_Column2D.swf", "ChartId", "600", "350");
	    chart.setDataXML('<xsl:apply-templates select="dbexec"/>');
	    chart.render("chartdiv");
	  </script>
  </div>
</body>
</html>
</xsl:template>
<xsl:template match="dbexec">
<graph caption="Fusion Charts Example" xAxisName="Column 1" yAxisName="Column 2" decimalPrecision="0" formatNumberScale="0" rotateNames="1" animation="0">
  <xsl:attribute name="xAxisName"><xsl:value-of select="name(rec[1]/*[1])" /></xsl:attribute>
  <xsl:attribute name="yAxisName"><xsl:value-of select="name(rec[1]/*[2])" /></xsl:attribute>
  <xsl:apply-templates select="rec"/>
</graph>
</xsl:template>
<xsl:template match="rec">
  <set>
    <xsl:attribute name="name"><xsl:value-of select="*[1]"/></xsl:attribute>
    <xsl:attribute name="value"><xsl:value-of select="*[2]"/></xsl:attribute>
    <xsl:attribute name="color"><xsl:value-of select="position()*64*64*64+9474192"/></xsl:attribute>
  </set>
</xsl:template>
</xsl:stylesheet>
